org.apache.hc.client5.http.impl.async

## Class ContentCompressionAsyncExec

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.ContentCompressionAsyncExec

All Implemented Interfaces:
  AsyncExecChainHandler

    @Contract(threading=STATELESS)
     @Internal
    public final class ContentCompressionAsyncExec
    extends Object
    implements AsyncExecChainHandler

### Constructor Summary

Constructors
Constructor and Description
`ContentCompressionAsyncExec()`
`ContentCompressionAsyncExec(int maxCodecListLen)` Default: DEFLATE + GZIP (plus `x-gzip` alias).
`ContentCompressionAsyncExec(LinkedHashMap<String,UnaryOperator<AsyncDataConsumer>> decoderMap)`
`ContentCompressionAsyncExec(LinkedHashMap<String,UnaryOperator<AsyncDataConsumer>> decoderMap, int maxCodecListLen)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute(HttpRequest request, AsyncEntityProducer producer, AsyncExecChain.Scope scope, AsyncExecChain chain, AsyncExecCallback cb)` Executes the actual HTTP request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentCompressionAsyncExec

    public ContentCompressionAsyncExec(LinkedHashMap<String,UnaryOperator<AsyncDataConsumer>> decoderMap,
                                       int maxCodecListLen)

#### ContentCompressionAsyncExec

    public ContentCompressionAsyncExec(LinkedHashMap<String,UnaryOperator<AsyncDataConsumer>> decoderMap)

#### ContentCompressionAsyncExec

    public ContentCompressionAsyncExec(int maxCodecListLen)

Default: DEFLATE + GZIP (plus `x-gzip` alias).

#### ContentCompressionAsyncExec

    public ContentCompressionAsyncExec()

### Method Detail

#### execute

    public void execute(HttpRequest request,
                        AsyncEntityProducer producer,
                        AsyncExecChain.Scope scope,
                        AsyncExecChain chain,
                        AsyncExecCallback cb)
                 throws IOException,
                        HttpException

Description copied from interface: `AsyncExecChainHandler`
Executes the actual HTTP request. The handler can choose to return a response message immediately inside the call or asynchronously at some later point or delegate request execution to the next element in the execution chain.

Specified by:
  `execute` in interface `AsyncExecChainHandler`
Parameters:
  `request` - the actual request.
  `producer` - the request entity producer or `null` if the request does not enclose an entity.
  `scope` - the execution scope .
  `chain` - the next element in the request execution chain.
  `cb` - the execution callback.
Throws:
  `IOException` - If an I/O error occurs.
  `HttpException` - If a protocol error occurs.